<template>
  <v-flex>
    <v-card m4>
      <v-card-title primary-title>
        <div>
          <h3 class="headline mb-0">Card</h3>
        </div>
      </v-card-title>
      <div ref="plot"></div>
      <!-- <v-card-actions>
        <v-btn flat color="orange">Share</v-btn>
        <v-btn flat color="orange">Explore</v-btn>
      </v-card-actions> -->
    </v-card>
  </v-flex>
</template>

<script>
import Plotly from 'plotly.js-dist'
import plotly_layout from '~/assets/plotly_layout.json'

export default {
  name: 'Card',
  data() {
    return {
      chart: {
        uuid: 'plotId'
      }
    }
  },
  mounted() {
    var trace1 = {
      x: [1, 2, 3, 4],
      y: [10, 15, 13, 17],
      type: 'scatter'
    }

    var trace2 = {
      x: [1, 2, 3, 4],
      y: [16, 5, 11, 9],
      type: 'scatter'
    }

    var data = [trace1, trace2]

    Plotly.newPlot(this.$refs.plot, data, plotly_layout)
  }
}
</script>
